Subject: [DNSOP] Siting name servers

From: "Paul Hoffman" <[email-masked]>
Date: Mon, 08 Feb 2016 07:10:26 -0800

On 8 Feb 2016, at 4:07, Jakob Schlyter wrote:

>> 6.2 The name servers SHOULD NOT belong to the same AS
>> I would drop that requirement altogether or make it a MAY. We really 
>> should not tell people how to build networks from the DNS world.
>
> I would agree, but on the other hand it's apparent that a lot still 
> make really bad choices, such as putting all of their authoritative 
> name servers on a single LAN or site. There are exceptions for the 
> "belong to same AS", can we perhaps try to state those?

In the spirit of RFC 2119 (if you haven't read it recently, please do 
so: it's short), a SHOULD is most appropriate if you talk about the 
exceptions. Saying "you SHOULD NOT have all the nameservers in the same 
AS unless you are willing to risk no one being able to access your DNS 
records if there is a routing issue with that AS" is an appropriate use 
of "SHOULD".

--Paul Hoffman